//******************************************************************************
//    File: ItsxMaterial.h
//  Module: trueSpace eXtensions API
//   Descr: Declarations for the ItsxMaterial COM interface
//******************************************************************************


#ifndef ITSXMATERIAL_H
#define ITSXMATERIAL_H


#include "itsxcommon.h"


#undef INTERFACE
#define INTERFACE ItsxMaterial

DECLARE_INTERFACE_(ItsxMaterial, IUnknown)
{
	// IUnknown members
	STDMETHOD(QueryInterface) (THIS_ REFIID, PPVOID) PURE;
	STDMETHOD_(ULONG, AddRef)  (THIS) PURE;
	STDMETHOD_(ULONG, Release) (THIS) PURE;

	// ItsxMaterial members
};

// typedef a pointer to this interface
typedef ItsxMaterial* PITSXMATERIAL;

// define a GUID for this interface
// {4AC74600-33F6-11d1-A255-006097D15F58}
DEFINE_GUID(IID_ItsxMaterial, 0x4ac74600, 0x33f6, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);


#endif // ITSXMATERIAL_H