//******************************************************************************
//    File: tsxCLSID.h
//  Module: trueSpace eXtensions API
//   Descr: Defines COM CLSID's for trueSpace objects
//******************************************************************************


#ifndef TSXCLSID_H
#define TSXCLSID_H


#include "itsxcommon.h"

// CLSID for tsxLightEnumerator object
// {7AECD223-3007-11d1-A255-006097D15F58}
DEFINE_GUID(CLSID_tsxLightEnumerator, 0x7aecd223, 0x3007, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

// CLSID for tsxGeometryEnumerator object
// {D64D1700-310C-11d1-A255-006097D15F58}
DEFINE_GUID(CLSID_tsxGeometryEnumerator, 0xd64d1700, 0x310c, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

// CLSID for tsxMaterialEnumerator object
// {4AC74601-33F6-11d1-A255-006097D15F58}
DEFINE_GUID(CLSID_tsxMaterialEnumerator, 0x4ac74601, 0x33f6, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

// CLSID for tsxPolyhedronEnumerator object
// {BB099221-3436-11d1-A255-006097D15F58}
DEFINE_GUID(CLSID_tsxPolyhedronEnumerator, 0xbb099221, 0x3436, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

// CLSID for tsxViewEnumerator object
// {03A21100-4617-11d1-A255-006097D15F58}
DEFINE_GUID(CLSID_tsxViewEnumerator, 0x3a21100, 0x4617, 0x11d1, 0xa2, 0x55, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

// CLSID for tsxObjectEnumerator object
// {9FB416E0-5433-11d1-A256-006097D15F58}
DEFINE_GUID(CLSID_tsxObjectEnumerator, 0x9fb416e0, 0x5433, 0x11d1, 0xa2, 0x56, 0x0, 0x60, 0x97, 0xd1, 0x5f, 0x58);

#endif // TSXCLSID_H