/////////////////////////////////////////////////////////////////
// tsxCOM.h
//
// Imports all headers to use the trueSpace tsxCOM interface


#ifndef TSXCOM_H
#define TSXCOM_H

// Include the tsxCOM types
#include "tsxcomtypes.h"

// Include the tsxCOM interfaces
#include "itsxapplication.h"			// ItsxApplication COM interface
#include "itsxdocument.h"					// ItsxDocument COM interface
#include "itsxprimitives.h"				// ItsxPrimitives COM interface
#include "itsxfog.h"							// ItsxFog COM interface
#include "itsxobject.h"						// ItsxObject COM interface
#include "itsxlight.h"						// ItsxLight COM interface
#include "itsxgeometry.h"					// ItsxGeometry COM interface
#include "itsxmaterial.h"					// ItsxMaterial COM interface
#include "itsxpolyhedron.h"				// ItsxPolyhedron COM interface
#include "itsxpolyhedronvertex.h"	// ItsxPolyhedronVertex COM interface
#include "itsxpolyhedronuv.h"			// ItsxPolyhedronUV COM interface
#include "itsxpolyhedronface.h"		// ItsxPolyhedronFace COM interface
#include "itsxmath.h"							// ItsxMath COM interface
#include "itsxglobalanimation.h"	// ItsxGlobalAnimation COM interface
#include "itsxview.h"							// ItsxView COM interface
#include "itsxkeyframe.h"				// ItsxKeyFrame COM interface

// Include the tsxCOM CLSID's
#include "tsxclsid.h"							// COM CLSID's of trueSpace objects

// Define the library function for obtaining the tsxApplication interface
TSXAPIFN HRESULT tsxGetApplicationInterface(PITSXAPPLICATION*);

#endif // TSXCOM_H